com.rscja.deviceapi.entity

## Class BarcodeEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.BarcodeEntity

-     public class BarcodeEntity
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeEntity()`
    `BarcodeEntity(int resultCode, int decodeTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAimId()`
    `byte[]` | `getBarcodeBytesData()` 条码原始数据
    `java.lang.String` | `getBarcodeData()` 条码数据
    `java.lang.String` | `getBarcodeName()` 条码类型
    `int` | `getBarcodeSymbology()` symbologyCode 条码类型code
    `int` | `getDecodeTime()` 解码时间
    `int` | `getErrCode()`
    `byte[]` | `getPrefix()` 前缀
    `int` | `getResultCode()` 结果码 `BarcodeDecoder.DECODE_SUCCESS` `BarcodeDecoder.DECODE_FAILURE` `BarcodeDecoder.DECODE_TIMEOUT` `BarcodeDecoder.DECODE_CANCEL`
    `void` | `setAimId(java.lang.String aimId)`
    `void` | `setBarcodeBytesData(byte[] barcodeByteData)`
    `void` | `setBarcodeData(java.lang.String barcodeData)`
    `void` | `setBarcodeName(java.lang.String barcodeName)`
    `void` | `setBarcodeSymbology(int barcodeSymbology)`
    `void` | `setDecodeTime(int decodeTime)`
    `void` | `setErrCode(int errCode)`
    `void` | `setPrefix(byte[] prefix)`
    `void` | `setResultCode(int resultCode)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeEntity

          public BarcodeEntity()

    - #### BarcodeEntity

          public BarcodeEntity(int resultCode,
                               int decodeTime)

  - ### Method Detail

    - #### getResultCode

          public int getResultCode()

      结果码 `BarcodeDecoder.DECODE_SUCCESS`
      `BarcodeDecoder.DECODE_FAILURE`
      `BarcodeDecoder.DECODE_TIMEOUT`
      `BarcodeDecoder.DECODE_CANCEL`
      Returns:

    - #### setResultCode

          public void setResultCode(int resultCode)

    - #### getDecodeTime

          public int getDecodeTime()

      解码时间
      Returns:

    - #### setDecodeTime

          public void setDecodeTime(int decodeTime)

    - #### getBarcodeSymbology

          public int getBarcodeSymbology()

      symbologyCode 条码类型code
      Returns:

    - #### setBarcodeSymbology

          public void setBarcodeSymbology(int barcodeSymbology)

    - #### getBarcodeName

          public java.lang.String getBarcodeName()

      条码类型
      Returns:

    - #### setBarcodeName

          public void setBarcodeName(java.lang.String barcodeName)

    - #### getBarcodeBytesData

          public byte[] getBarcodeBytesData()

      条码原始数据
      Returns:

    - #### setBarcodeBytesData

          public void setBarcodeBytesData(byte[] barcodeByteData)

    - #### getBarcodeData

          public java.lang.String getBarcodeData()

      条码数据
      Returns:

    - #### setBarcodeData

          public void setBarcodeData(java.lang.String barcodeData)

    - #### getPrefix

          public byte[] getPrefix()

      前缀
      Returns:

    - #### setPrefix

          public void setPrefix(byte[] prefix)

    - #### getAimId

          public java.lang.String getAimId()

    - #### setAimId

          public void setAimId(java.lang.String aimId)

    - #### getErrCode

          public int getErrCode()

    - #### setErrCode

          public void setErrCode(int errCode)